Bug 622368 - SELinux empêche l'accès en "connectto" à /bin/systemctl on @/org/freedesktop/systemd1/priva
SELinux empêche l'accès en "connectto" à /bin/systemctl on @/org/freedes...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
14
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:6a855cfeee0...
:
Depends On:
Blocks: F14Target
  Show dependency treegraph
 
Reported: 2010-08-09 01:15 EDT by Nicolas Mailhot
Modified: 2010-08-23 21:50 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.8.8-14.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 21:50:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2010-08-09 01:15:46 EDT
Résumé:

SELinux empêche l'accès en "connectto" à /bin/systemctl on
@/org/freedesktop/systemd1/priva

Description détaillée:

[SELinux est en mode permissif. Cet accès n'a pas été refusé.]

SELinux a refusé l'accès demandé par telinit. Il n'est pas prévu que cet
accès soit requis par telinit et cet accès peut signaler une tentative
d'intrusion. Il est également possible que cette version ou cette configuration
spécifique de l'application provoque cette demande d'accès supplémenta

Autoriser l'accès:

Vous pouvez créer un module de stratégie locale pour autoriser cet accès -
lisez la FAQ (http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Merci de
remplir un rapport de bogue.

Informations complémentaires:

Contexte source               system_u:system_r:prelink_cron_system_t:s0-s0:c0.c
                              1023
Contexte cible                system_u:system_r:init_t:s0
Objets du contexte            @/org/freedesktop/systemd1/private [
                              unix_stream_socket ]
source                        telinit
Chemin de la source           /bin/systemctl
Port                          <Inconnu>
Hôte                         (supprimé)
Paquetages RPM source         systemd-units-6-2.fc14
Paquetages RPM cible          
Politique RPM                 selinux-policy-3.8.8-11.fc14
Selinux activé               True
Type de politique             targeted
Mode strict                   Permissive
Nom du plugin                 catchall
Nom de l'hôte                (supprimé)
Plateforme                    Linux (supprimé) 2.6.35.1-4.rc1.fc14.x86_64 #1 SMP
                              Sat Aug 7 17:02:35 UTC 2010 x86_64 x86_64
Compteur d'alertes            1
Première alerte              lun. 09 août 2010 03:33:57 CEST
Dernière alerte              lun. 09 août 2010 03:33:57 CEST
ID local                      b8cb2802-ae08-417c-a23f-a3eadeee5add
Numéros des lignes           

Messages d'audit bruts        

node=(supprimé) type=AVC msg=audit(1281317637.210:924): avc:  denied  { connectto } for  pid=15554 comm="telinit" path=002F6F72672F667265656465736B746F702F73797374656D64312F70726976617465 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:system_r:init_t:s0 tclass=unix_stream_socket

node=(supprimé) type=SYSCALL msg=audit(1281317637.210:924): arch=c000003e syscall=42 success=yes exit=0 a0=4 a1=7fffb6857bb0 a2=24 a3=706f746b73656465 items=0 ppid=15446 pid=15554 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=85 comm="telinit" exe="/bin/systemctl" subj=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,telinit,prelink_cron_system_t,init_t,unix_stream_socket,connectto
audit2allow suggests:

#============= prelink_cron_system_t ==============
allow prelink_cron_system_t init_t:unix_stream_socket connectto;
Comment 1 Daniel Walsh 2010-08-13 11:30:39 EDT
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.8.8-14.fc14
Comment 2 Fedora Update System 2010-08-13 16:29:23 EDT
selinux-policy-3.8.8-14.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-14.fc14
Comment 3 Fedora Update System 2010-08-23 21:48:55 EDT
selinux-policy-3.8.8-14.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.